package com.poto.timeservice.Model;

import androidx.databinding.BaseObservable;
import com.poto.timeservice.PoCommon;

import java.util.List;

public class PoMemberEditRowModel extends BaseObservable {
    /*类型*/
    private PoCommon.PoMemberEditRowKind kind;
    /*显示mark*/
    private String mark;
    /*占位*/
    private String placeholder;
    /*对应model值*/
    private String key;

    public PoCommon.PoMemberEditRowKind getKind() {
        return kind;
    }

    public void setKind(PoCommon.PoMemberEditRowKind kind) {
        this.kind = kind;
    }

    public String getMark() {
        return mark;
    }

    public void setMark(String mark) {
        this.mark = mark;
    }

    public String getPlaceholder() {
        return placeholder;
    }

    public void setPlaceholder(String placeholder) {
        this.placeholder = placeholder;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    /*初始化*/
    public static PoMemberEditRowModel create(PoCommon.PoMemberEditRowKind kind,
                                              String mark,
                                              String placeholder,
                                              String key) {
        PoMemberEditRowModel model = new PoMemberEditRowModel();
        model.setKind(kind);
        model.setMark(mark);
        model.setPlaceholder(placeholder);
        model.setKey(key);
        return model;
    }
}
